Skip to main content

Update a CallingRule for the given work profile in the given operation profile

PUT 

/qsystem/rest/config/operationProfiles/:operationProfileId/workProfiles/:workProfileId/callingRules/:callingRuleId

Update a CallingRule for the given work profile in the given operation profile

curl -u user:password -i -X PUT -H 'content-type:application/json'
-d '{"id":50,"ruleConditions":[{"id":1,"ruleConditionTemplateId":1,"values":"{\"min\":\"15\",\"q\":\"Queue 2\"}"}],"ruleAction":{"callingRuleActionTemplateId":2,"queues":[2,3]}}'
http://orchestra-host:orchestra-port/qsystem/rest/config/operationProfiles/{operationProfileId}/workProfiles/{workProfileId}/callingRules/50

Request​

Responses​

The updated CallingRule